Index: ThirdParty/mpqc_open/src/lib/math/isosurf/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/math/isosurf/Makefile.am	(revision 318d5a28bf0ffe5bd0df8a9acee9b9159ff92149)
+++ ThirdParty/mpqc_open/src/lib/math/isosurf/Makefile.am	(revision 318d5a28bf0ffe5bd0df8a9acee9b9159ff92149)
@@ -0,0 +1,65 @@
+LIBSCISOSURFSOURCES = \
+		edge.cc implicit.c isosurf.cc shape.cc surf.cc surfor.cc surfse.cc surfst.cc triangle.cc tricoef.cc vertex.cc volume.cc volume_i.cc
+
+LIBSCISOSURFHEADERS = \
+		edge.h implicit.h isosurf.h shape.h surf.h triangle.h tricoef.h vertex.h volume.h volume_i.h
+
+lib_LTLIBRARIES +=
+noinst_LTLIBRARIES += libSCisosurf.la
+libSCisosurf_la_includedir = $(includedir)/math/isosurf
+libSCisosurf_la_CPPFLAGS = $(AM_CPPFLAGS)
+libSCisosurf_la_LDFLAGS = $(AM_LDFLAGS)
+libSCisosurf_la_LIBADD =
+
+nobase_libSCisosurf_la_include_HEADERS = ${LIBSCISOSURFHEADERS}
+
+## Define the source file list for the "libexample-@MPQC_API_VERSION@.la"
+## target.  Note that @MPQC_API_VERSION@ is not interpreted by Automake and
+## will therefore be treated as if it were literally part of the target name,
+## and the variable name derived from that.
+## The file extension .cc is recognized by Automake, and makes it produce
+## rules which invoke the C++ compiler to produce a libtool object file (.lo)
+## from each source file.  Note that it is not necessary to list header files
+## which are already listed elsewhere in a _HEADERS variable assignment.
+libSCisosurf_la_SOURCES = ${LIBSCISOSURFSOURCES}
+
+## Instruct libtool to include ABI version information in the generated shared
+## library file (.so).  The library ABI version is defined in configure.ac, so
+## that all version information is kept in one place.
+#libSCisosurf_la_LDFLAGS += $(AM_LDFLAGS) -version-info $(MPQC_SO_VERSION)
+
+## The generated configuration header is installed in its own subdirectory of
+## $(libdir).  The reason for this is that the configuration information put
+## into this header file describes the target platform the installed library
+## has been built for.  Thus the file must not be installed into a location
+## intended for architecture-independent files, as defined by the Filesystem
+## Hierarchy Standard (FHS).
+## The nodist_ prefix instructs Automake to not generate rules for including
+## the listed files in the distribution on 'make dist'.  Files that are listed
+## in _HEADERS variables are normally included in the distribution, but the
+## configuration header file is generated at configure time and should not be
+## shipped with the source tarball.
+#libSCisosurf_libincludedir = $(libdir)/math/isosurf/include
+#nodist_libSCisosurf_libinclude_HEADERS = $(top_builddir)/src/lib/scconfig.h
+
+ISOSURFTESTS = \
+	tmplinst \
+	isotest
+
+check_PROGRAMS += $(ISOSURFTESTS)
+noinst_PROGRAMS += $(ISOSURFTESTS)
+
+ISOSURFLIBS = \
+        libSCkeyval.la \
+        libSCgroup.la libSCisosurf.la libSCclass.la \
+        libSCcontainer.la libSCref.la libSCmisc.la
+
+tmplinst_SOURCES = tmplinst.cc
+tmplinst_LDADD = \
+        $(ISOSURFLIBS)
+
+isotest_SOURCES = isotest.cc
+isotest_LDADD = \
+        $(ISOSURFLIBS)
+
+
Index: ThirdParty/mpqc_open/src/lib/math/optimize/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/math/optimize/Makefile.am	(revision 318d5a28bf0ffe5bd0df8a9acee9b9159ff92149)
+++ ThirdParty/mpqc_open/src/lib/math/optimize/Makefile.am	(revision 318d5a28bf0ffe5bd0df8a9acee9b9159ff92149)
@@ -0,0 +1,69 @@
+LIBSCOPTIMIZESOURCES = \
+		conv.cc dfp.cc diis.cc efc.cc function.cc gdiis.cc mcsearch.cc newton.cc opt.cc powell.cc qnewton.cc scextrap.cc scextrapmat.cc steep.cc transform.cc update.cc
+
+LIBSCOPTIMIZEHEADERS = \
+		conv.h diis.h efc.h function.h gdiis.h linkage.h mcsearch.h newton.h opt.h qnewton.h scextrap.h scextrapmat.h steep.h transform.h update.h
+
+lib_LTLIBRARIES +=
+noinst_LTLIBRARIES += libSCoptimize.la
+libSCoptimize_la_includedir = $(includedir)/math/optimize
+libSCoptimize_la_CPPFLAGS = $(AM_CPPFLAGS)
+libSCoptimize_la_LDFLAGS = $(AM_LDFLAGS)
+libSCoptimize_la_LIBADD =
+
+nobase_libSCoptimize_la_include_HEADERS = ${LIBSCOPTIMIZEHEADERS}
+
+## Define the source file list for the "libexample-@MPQC_API_VERSION@.la"
+## target.  Note that @MPQC_API_VERSION@ is not interpreted by Automake and
+## will therefore be treated as if it were literally part of the target name,
+## and the variable name derived from that.
+## The file extension .cc is recognized by Automake, and makes it produce
+## rules which invoke the C++ compiler to produce a libtool object file (.lo)
+## from each source file.  Note that it is not necessary to list header files
+## which are already listed elsewhere in a _HEADERS variable assignment.
+libSCoptimize_la_SOURCES = ${LIBSCOPTIMIZESOURCES}
+
+## Instruct libtool to include ABI version information in the generated shared
+## library file (.so).  The library ABI version is defined in configure.ac, so
+## that all version information is kept in one place.
+#libSCoptimize_la_LDFLAGS += $(AM_LDFLAGS) -version-info $(MPQC_SO_VERSION)
+
+## The generated configuration header is installed in its own subdirectory of
+## $(libdir).  The reason for this is that the configuration information put
+## into this header file describes the target platform the installed library
+## has been built for.  Thus the file must not be installed into a location
+## intended for architecture-independent files, as defined by the Filesystem
+## Hierarchy Standard (FHS).
+## The nodist_ prefix instructs Automake to not generate rules for including
+## the listed files in the distribution on 'make dist'.  Files that are listed
+## in _HEADERS variables are normally included in the distribution, but the
+## configuration header file is generated at configure time and should not be
+## shipped with the source tarball.
+#libSCoptimize_libincludedir = $(libdir)/math/optimize/include
+#nodist_libSCoptimize_libinclude_HEADERS = $(top_builddir)/src/lib/scconfig.h
+
+OPTIMIZETESTS = \
+	opttest \
+	scextest_optimize \
+	kvopt
+
+check_PROGRAMS += $(OPTIMIZETESTS)
+noinst_PROGRAMS += $(OPTIMIZETESTS)
+
+OPTIMIZELIBS = \
+        libSCkeyval.la \
+        libSCgroup.la libSCoptimize.la libSCclass.la \
+        libSCcontainer.la libSCref.la libSCmisc.la
+
+opttest_SOURCES = opttest.cc
+opttest_LDADD = \
+        $(OPTIMIZELIBS)
+
+scextest_optimize_SOURCES = scextest.cc
+scextest_optimize_LDADD = \
+        $(OPTIMIZELIBS)
+
+kvopt_SOURCES = kvopt.cc
+kvopt_LDADD = \
+        $(OPTIMIZELIBS)
+
Index: ThirdParty/mpqc_open/src/lib/math/scmat/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/math/scmat/Makefile.am	(revision 318d5a28bf0ffe5bd0df8a9acee9b9159ff92149)
+++ ThirdParty/mpqc_open/src/lib/math/scmat/Makefile.am	(revision 318d5a28bf0ffe5bd0df8a9acee9b9159ff92149)
@@ -0,0 +1,74 @@
+LIBSCSCMATSOURCES = \
+		abstract.cc blkiter.cc block.cc blocked.cc blockeddiag.cc blockedrect.cc blockedsymm.cc blockedvect.cc cmatrix.c dim.cc dist.cc distdiag.cc disthql.cc distrect.cc distsymm.cc distvect.cc elemop.cc local.cc localdiag.cc localrect.cc localsymm.cc localvect.cc matrix3.cc matrix.cc matrix_i.cc repl.cc repldiag.cc replrect.cc replsymm.cc replvect.cc result.cc svd.c util.cc vector3.cc vector3_i.cc
+
+LIBSCSCMATHEADERS = \
+		abstract.h blkiter.h blocked.h block.h cmatrix.h dim.h dist.h disthql.h elemop.h linkage.h local.h matrix3.h matrix.h matrix_i.h mops.h offset.h repl.h result.h util.h vector3.h vector3_i.h
+
+lib_LTLIBRARIES +=
+noinst_LTLIBRARIES += libSCscmat.la
+libSCscmat_la_includedir = $(includedir)/math/scmat
+libSCscmat_la_CPPFLAGS = $(AM_CPPFLAGS)
+libSCscmat_la_LDFLAGS = $(AM_LDFLAGS)
+libSCscmat_la_LIBADD =
+
+nobase_libSCscmat_la_include_HEADERS = ${LIBSCSCMATHEADERS}
+
+## Define the source file list for the "libexample-@MPQC_API_VERSION@.la"
+## target.  Note that @MPQC_API_VERSION@ is not interpreted by Automake and
+## will therefore be treated as if it were literally part of the target name,
+## and the variable name derived from that.
+## The file extension .cc is recognized by Automake, and makes it produce
+## rules which invoke the C++ compiler to produce a libtool object file (.lo)
+## from each source file.  Note that it is not necessary to list header files
+## which are already listed elsewhere in a _HEADERS variable assignment.
+libSCscmat_la_SOURCES = ${LIBSCSCMATSOURCES}
+
+## Instruct libtool to include ABI version information in the generated shared
+## library file (.so).  The library ABI version is defined in configure.ac, so
+## that all version information is kept in one place.
+#libSCscmat_la_LDFLAGS += $(AM_LDFLAGS) -version-info $(MPQC_SO_VERSION)
+
+## The generated configuration header is installed in its own subdirectory of
+## $(libdir).  The reason for this is that the configuration information put
+## into this header file describes the target platform the installed library
+## has been built for.  Thus the file must not be installed into a location
+## intended for architecture-independent files, as defined by the Filesystem
+## Hierarchy Standard (FHS).
+## The nodist_ prefix instructs Automake to not generate rules for including
+## the listed files in the distribution on 'make dist'.  Files that are listed
+## in _HEADERS variables are normally included in the distribution, but the
+## configuration header file is generated at configure time and should not be
+## shipped with the source tarball.
+#libSCscmat_libincludedir = $(libdir)/math/scmat/include
+#nodist_libSCscmat_libinclude_HEADERS = $(top_builddir)/src/lib/scconfig.h
+
+SCMATTESTS = \
+	localtest \
+	repltest \
+	disttest \
+	blockedtest
+	
+check_PROGRAMS += $(SCMATTESTS)
+noinst_PROGRAMS += $(SCMATTESTS)
+
+SCMATLIBS = \
+        libSCkeyval.la \
+        libSCgroup.la libSCscmat.la libSCclass.la \
+        libSCcontainer.la libSCref.la libSCmisc.la
+
+localtest_SOURCES = localtest.cc
+localtest_LDADD = \
+        $(SCMATLIBS)
+
+repltest_SOURCES = repltest.cc
+repltest_LDADD = \
+        $(SCMATLIBS)
+
+disttest_SOURCES = disttest.cc
+disttest_LDADD = \
+        $(SCMATLIBS)
+
+blockedtest_SOURCES = blockedtest.cc
+blockedtest_LDADD = \
+        $(SCMATLIBS)
+
Index: ThirdParty/mpqc_open/src/lib/math/symmetry/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/math/symmetry/Makefile.am	(revision 318d5a28bf0ffe5bd0df8a9acee9b9159ff92149)
+++ ThirdParty/mpqc_open/src/lib/math/symmetry/Makefile.am	(revision 318d5a28bf0ffe5bd0df8a9acee9b9159ff92149)
@@ -0,0 +1,58 @@
+LIBSCSYMMETRYSOURCES = \
+		chartab.cc corrtab.cc ico.cc irrep.cc maketab.cc pointgrp.cc rep.cc symop.cc tetra.cc
+
+LIBSCSYMMETRYHEADERS = \
+		corrtab.h pointgrp.h
+
+lib_LTLIBRARIES +=
+noinst_LTLIBRARIES += libSCsymmetry.la
+libSCsymmetry_la_includedir = $(includedir)/math/symmetry
+libSCsymmetry_la_CPPFLAGS = $(AM_CPPFLAGS)
+libSCsymmetry_la_LDFLAGS = $(AM_LDFLAGS)
+libSCsymmetry_la_LIBADD =
+
+nobase_libSCsymmetry_la_include_HEADERS = ${LIBSCSYMMETRYHEADERS}
+
+## Define the source file list for the "libexample-@MPQC_API_VERSION@.la"
+## target.  Note that @MPQC_API_VERSION@ is not interpreted by Automake and
+## will therefore be treated as if it were literally part of the target name,
+## and the variable name derived from that.
+## The file extension .cc is recognized by Automake, and makes it produce
+## rules which invoke the C++ compiler to produce a libtool object file (.lo)
+## from each source file.  Note that it is not necessary to list header files
+## which are already listed elsewhere in a _HEADERS variable assignment.
+libSCsymmetry_la_SOURCES = ${LIBSCSYMMETRYSOURCES}
+
+## Instruct libtool to include ABI version information in the generated shared
+## library file (.so).  The library ABI version is defined in configure.ac, so
+## that all version information is kept in one place.
+#libSCsymmetry_la_LDFLAGS += $(AM_LDFLAGS) -version-info $(MPQC_SO_VERSION)
+
+## The generated configuration header is installed in its own subdirectory of
+## $(libdir).  The reason for this is that the configuration information put
+## into this header file describes the target platform the installed library
+## has been built for.  Thus the file must not be installed into a location
+## intended for architecture-independent files, as defined by the Filesystem
+## Hierarchy Standard (FHS).
+## The nodist_ prefix instructs Automake to not generate rules for including
+## the listed files in the distribution on 'make dist'.  Files that are listed
+## in _HEADERS variables are normally included in the distribution, but the
+## configuration header file is generated at configure time and should not be
+## shipped with the source tarball.
+#libSCsymmetry_libincludedir = $(libdir)/math/symmetry/include
+#nodist_libSCsymmetry_libinclude_HEADERS = $(top_builddir)/src/lib/scconfig.h
+
+SYMMETRYTESTS = \
+	testpg
+        
+check_PROGRAMS += $(SYMMETRYTESTS)
+noinst_PROGRAMS += $(SYMMETRYTESTS)
+
+SYMMETRYLIBS = \
+        libSCkeyval.la \
+        libSCgroup.la libSCsymmetry.la libSCclass.la \
+        libSCcontainer.la libSCref.la libSCmisc.la
+
+testpg_SOURCES = testpg.cc
+testpg_LDADD = \
+	$(SYMMETRYLIBS)
